## gridsite 2.2.5

=== src/Makefile ===
#
#   Andrew McNab and Shiv Kaushal, University of Manchester.
#   Copyright (c) 2002-7. All rights reserved.
#
#   Redistribution and use in source and binary forms, with or
#   without modification, are permitted provided that the following
#   conditions are met:
#
#     o Redistributions of source code must retain the above
#       copyright notice, this list of conditions and the following
#       disclaimer. 
#     o Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials
#       provided with the distribution. 
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
#   CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
#   INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
#   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
#   BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
#   TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
#   ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
#   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#   POSSIBILITY OF SUCH DAMAGE.
#
#---------------------------------------------------------------
# For more information about GridSite: http://www.gridsite.org/ 
#---------------------------------------------------------------

include ../VERSION

RPMCMD=$(shell if [ -x /usr/bin/rpmbuild ] ; then echo /usr/bin/rpmbuild; else echo rpm; fi)

ifndef MYRPMDIR
export MYRPMDIR=$(shell pwd)/../RPMTMP
endif

ifndef prefix
export prefix=/usr/local
endif

ifndef libdir
export libdir=lib
endif

ifndef httpd_name
export httpd_name=httpd
endif

CURL_CFLAGS=`curl-config --cflags`
CURL_LIBS=`curl-config --libs`
XML2_CFLAGS=`xml2-config --cflags`
XML2_LIBS=`xml2-config --libs`
HTTPD_FLAGS=-I/usr/include/httpd -I/usr/include/apache2 -I/usr/include/apr-0 -I/usr/include/apr-1 -I/usr/include/apr-1.0
GSOAP_CFLAGS=`pkg-config gsoap --cflags`
GSOAP_LIBS=`pkg-config gsoap --libs`
GSOAPSSL_CFLAGS=`pkg-config gsoapssl --cflags`
GSOAPSSL_LIBS=`pkg-config gsoapssl --libs`
CANL_C_CFLAGS=
CANL_C_LIBS=-lcanl_c

ifndef MYCFLAGS
export MYCFLAGS=-I. -I../interface -DPIC -fPIC -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE $(HTTPD_FLAGS)
endif

ifndef MYLDFLAGS
export MYLDFLAGS=-L.
endif

-include Makefile.inc

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
#

# counted minors: -
offset=0

version_info:=-version-info $(shell \
	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+$(offset),$$F[2],$$F[1]' )

PC_FILES=gridsite-openssl.pc

# caNl adoption part
# caNl library and headers have to be in standard system places.
GRST_X509_OBJS=grst_canl_x509.lo
MOD_GRIDSITE_FILE=canl_mod_gridsite.c
MOD_SSLPRIVATE_HEADER=canl_mod_ssl-private.h
MYCANLLDFLAGS=$(CANL_C_LIBS)

# Print all warnings
ifeq ($(WALL),yes)
MYCFLAGS += -Wall
endif

CFLAGS=-g -O2

CC=gcc
COMPILE=libtool --mode=compile $(CC) $(CFLAGS)
LINK=libtool --mode=link $(CC) $(LDFLAGS)
INSTALL=libtool --mode=install install

GRIDSITE_OBJS=grst_err.lo $(GRST_X509_OBJS) grst_gacl.lo grst_xacml.lo grst_http.lo grst_asn1.lo grst_htcp.lo
GRIDSITE_NOSSL_OBJS=grst_err_nossl.lo grst_gacl_nossl.lo grst_http_nossl.lo grst_xacml_nossl.lo grst_htcp_nossl.lo

#
# Build
#

build: apidoc build-lib htcp mod_gridsite.so urlencode findproxyfile \
       real-gridsite-admin.cgi gridsite-delegation.cgi

build-lib: libgridsite_globus.la libgridsite_globus.a \
           libgridsite.la libgridsite.a \
           libgridsite_nossl.la libgridsite_nossl.a $(PC_FILES)

# First, normal versions using system OpenSSL rather than Globus OpenSSL

libgridsite.a: libgridsite.la

libgridsite.la: $(GRIDSITE_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
          -o $@ $+ -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS)

grst_err.lo: grst_err.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
	    -I/usr/kerberos/include \
	    -c $< -o $@

grst_canl_x509.lo: grst_canl_x509.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) $(CANL_C_CFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_gacl.lo: grst_gacl.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_xacml.lo: grst_xacml.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_http.lo: grst_http.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
                        -I/usr/kerberos/include -c $< -o $@

grst_asn1.lo: grst_asn1.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

grst_htcp.lo: grst_htcp.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) \
            -I/usr/kerberos/include -c $< -o $@

# globus soname for compatibility
libgridsite_globus.a: libgridsite_globus.la

libgridsite_globus.la: $(GRIDSITE_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
         -o $@ $+ -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS)

# then build versions without OpenSSL

libgridsite_nossl.a: libgridsite_nossl.la

libgridsite_nossl.la: $(GRIDSITE_NOSSL_OBJS)
	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
	  -o $@ $+ $(XML2_LIBS)

grst_err_nossl.lo: grst_err.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
	    -I/usr/kerberos/include -c $< -o $@

grst_gacl_nossl.lo: grst_gacl.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_xacml_nossl.lo: grst_xacml.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c $< -o $@

grst_http_nossl.lo: grst_http.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c $< -o $@

grst_htcp_nossl.lo: grst_htcp.c ../interface/gridsite.h
	$(COMPILE)  $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c $< -o $@

# now the binary exectuables

gsexec.lo urlencode.lo gridsite-copy.lo findproxyfile.lo showx509exts.lo:
	$(COMPILE) -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o $@ -c $(subst .lo,.c,$@)

htcp.lo:
	$(COMPILE) -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o $@ -c $(subst .lo,.c,$@) $(CURL_CFLAGS)

slashgrid.lo: slashgrid.c
	$(COMPILE) -o $@ -c $< $(MYCFLAGS) $(XML2_CFLAGS) -D_FILE_OFFSET_BITS=64 \
          -D_REENTRANT -DFUSE_USE_VERSION=22 -I/usr/kerberos/include \
          $(CURL_CFLAGS)

gsexec:	gsexec.lo gsexec.h
	$(LINK) $< -o $@

urlencode: urlencode.lo libgridsite.la
	$(LINK) -o $@ $< -L. -lgridsite

htcp: htcp.lo libgridsite.la
	$(LINK) -o $@ $+ $(CURL_LIBS)

htcp-static: htcp.lo libgridsite.a
	$(LINK) -o $@ -L. $< \
	    -I/usr/kerberos/include \
            $(CURL_LIBS) -static -lgridsite

gridsite-copy.cgi: gridsite-copy.lo libgridsite.la
	$(LINK) -o $@ $< -L. $(CURL_LIBS) $(MYFCGILIBS) -lgridsite

mod_gridsite.so: $(MOD_GRIDSITE_FILE) $(MOD_SSLPRIVATE_HEADER) \
                 libgridsite.la
	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) \
           -shared -Wl,-soname=gridsite_module \
           -I/usr/kerberos/include \
           $(XML2_CFLAGS) -lcrypto -lssl $(MYCANLLDFLAGS) \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
           $(MOD_GRIDSITE_FILE) -L./.libs -lgridsite

mod_gridsite_example.so: mod_gridsite_example.c 
	$(CC) $(CFLAGS) $(LDFLAGS) \
           -shared -Wl,-soname=gridsite_example_module \
           -fPIC $(HTTPD_FLAGS) \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite_example.so \
           mod_gridsite_example.c 

grst_admin_main.lo grst_admin_gacl.lo grst_admin_file.lo:
	$(COMPILE) $(MYCFLAGS) -I/usr/kerberos/include \
          -DVERSION=\"$(VERSION)\" -o $@ -c $(subst .lo,.c,$@)

real-gridsite-admin.cgi: grst_admin_main.lo grst_admin_gacl.lo \
                         grst_admin_file.lo grst_admin.h
	$(LINK) $(MYLDFLAGS) -o real-gridsite-admin.cgi \
            grst_admin_main.lo \
            grst_admin_gacl.lo \
            grst_admin_file.lo \
            -lgridsite

findproxyfile: findproxyfile.lo libgridsite.la
	$(LINK) $(MYLDFLAGS) \
            -o $@ $< -L. -lgridsite

showx509exts: showx509exts.lo libgridsite.la
	$(LINK) $(MYLDFLAGS) \
            -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
 
slashgrid: slashgrid.lo libgridsite.la
	$(LINK) $< -o $@ -lfuse $(MYLDFLAGS) \
          -L. $(CURL_LIBS) -lgridsite -lpthread

# This target is used by make-gridsite-spec to test for FUSE include+libs
fuse-test: fuse-test.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ -lfuse fuse-test.c \
          $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
          -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22

apidoc:
	date
	doxygen Doxyfile
	mkdir -p ../doc/doxygen
	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
          > $$i.html ; done

gaclexample.lo xacmlexample.lo: gaclexample.c xacmlexample.c
	$(COMPILE) -c $(subst .lo,.c,$@) -o $@ -I../interface \
          -I/usr/kerberos/include

gaclexample: gaclexample.lo libgridsite.la
	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
	    
xacmlexample: xacmlexample.lo libgridsite.a
	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
#
# Delegation machinery, including SOAP delegation portType. To build this
# you either need to use the gLite build environment and set REPOSITORY
# or install gSOAP and set GSOAPDIR to the directory containing
# soapcpp2 and stdsoap2.h (unless GSOAPDIR is set already)
#

ifndef GSOAPDIR
 export GSOAPDIR=/usr
endif

ifndef GRIDSITEDIR
 export GRIDSITEDIR=/usr
endif


DelegationSoapBinding.wsdl: delegation.h
	$(GSOAPDIR)/bin/soapcpp2 -c delegation.h

gridsite-delegation.cgi: grst-delegation.c delegation.h \
                         DelegationSoapBinding.wsdl libgridsite.la
	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) $(MYLDFLAGS) -o $@ \
            grst-delegation.c \
            -I/usr/kerberos/include -I. $(GSOAP_CFLAGS) \
            -DVERSION=\"$(VERSION)\" -L./.libs \
            soapC.c soapServer.c \
            $(GSOAP_LIBS) -lgridsite

htproxyput: htproxyput.c delegation.h DelegationSoapBinding.wsdl libgridsite.la
	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) $(MYLDFLAGS) -o $@ \
            htproxyput.c \
            -I/usr/kerberos/include -I. \
            -DVERSION=\"$(VERSION)\" \
            $(GSOAPSSL_CFLAGS) \
            -L./.libs \
            $(STDSOAP2) \
            soapC.c soapClient.c $(GSOAPSSL_LIBS) \
            -lgridsite -lssl -lcrypto

# This target is used by make-gridsite-spec to test for gSOAP include+libs
gsoap-test: gsoap-test.c 
	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) $(MYLDFLAGS) -o $@ \
            gsoap-test.c \
            -I/usr/kerberos/include -I. \
            -DVERSION=\"$(VERSION)\" \
            $(GSOAPSSL_CFLAGS) \
            $(STDSOAP2) \
            $(GSOAPSSL_LIBS) -lz -lssl -lcrypto $(XML2_LIBS) -lm

gridsite-storage.lo: gridsite-storage.c
	$(COMPILE) -o $@ -c $<  $(MYCFLAGS) \
            -I/usr/kerberos/include -I.\
            -DVERSION=\"$(VERSION)\" -L. \
            $(CURL_CFLAGS)

gridsite-storage.cgi: gridsite-storage.lo libgridsite.la
	$(LINK) $(MYLDFLAGS) -o $@ $< \
            -lgridsite $(CURL_LIBS)

%.pc: %.pc.in
	sed -e "s/@version@/$(VERSION)/" -e "s,@prefix@,$(prefix)," -e "s/@libdir@/$(libdir)/" $< > $@

clean:
	rm -rvf doxygen
	rm -rvf .libs
	rm -vf DelegationSoapBinding.* soapC*.c soapH*.h soapS*.c soapStub.h ns.xsd

=== debian/changelog ===
gridsite (2.2.5-1) unstable; urgency=medium

  * Update to version 2.2.5
  * Drop patches gridsite-ldflags.patch, gridsite-httpd24.patch,
    gridsite-fprintf.patch and gridsite-return-type.patch (upstream)
  * Drop patch cgi-bin-location.patch - move file in debian/rules instead
  * Ack NMUs (Thanks Vincent, Colin and Matthias)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 29 Oct 2014 16:04:24 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

configure: configure-stamp

configure-stamp:
	dh_testdir

	touch $@

build: build-indep build-arch

build-indep: build-stamp

build-arch: build-stamp

build-stamp: configure-stamp
	dh_testdir

	cd src && \
	$(MAKE) build htproxyput prefix=/usr \
	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot

	cd src && \
	$(MAKE) clean

	rm -rf doc/doxygen
	rm -f doc/*.1.html
	rm -f doc/*.8.html
	rm -f src/doxygen_sqlite3.db

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	cd src && \
	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) prefix=/usr

	# Change cgi scripts location
	mkdir -p $(INSTALLDIR)$(_libdir)/gridsite/cgi-bin
	mv $(INSTALLDIR)$(_sbindir)/*.cgi \
	   $(INSTALLDIR)$(_libdir)/gridsite/cgi-bin
	rmdir $(INSTALLDIR)$(_sbindir)

	# Let dh_apache2 handle module installation
	rm -rf $(INSTALLDIR)$(_libdir)/httpd

	# Let debhelper do the compression
	gunzip $(INSTALLDIR)$(_mandir)/man*/*

	# This is not really useful
	rm $(INSTALLDIR)$(_libdir)/libgridsite_globus.*
	rm $(INSTALLDIR)$(_libdir)/libgridsite_nossl.*

	# Remove these - docs are installed using the debian/*.docs files
	rm -rf $(INSTALLDIR)$(_datadir)/doc

	# Set up root area to serve files from
	mkdir -p $(INSTALLDIR)$(_localstatedir)/lib/gridsite
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/gridsite
	install -m 0644 debian/gridsitehead.txt \
	   $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitehead.txt
	install -m 0644 debian/gridsitefoot.txt \
	   $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitefoot.txt
	install -m 0644 debian/root-level.gacl \
	   $(INSTALLDIR)$(_sysconfdir)/gridsite/.gacl

	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/vomsdir
	mkdir -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite

	mkdir -p $(INSTALLDIR)$(_datadir)/apache2/icons
	uudecode -o $(INSTALLDIR)$(_datadir)/apache2/icons/gridsitelogo.png \
	   debian/gridsitelogo.png.uu

	chown www-data.www-data \
	  $(INSTALLDIR)$(_localstatedir)/lib/gridsite \
	  $(INSTALLDIR)$(_sysconfdir)/gridsite/.gacl \
	  $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitehead.txt \
	  $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitefoot.txt \
	  $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists \
	  $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --fail-missing
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs -a
	dh_install -a --fail-missing
	dh_apache2 -a
	dh_installman -a
	dh_lintian -a
	dh_link -a
	dh_strip -a --dbg-package=gridsite-dbg
	dh_compress -a
	dh_fixperms -a -X var/lib/gridsite \
		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a -l debian/libgridsite2/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure

## gridsite 2.2.6

=== src/Makefile ===
--- 
+++ 
@@ -118,7 +118,7 @@
 #
 
 build: apidoc build-lib htcp mod_gridsite.so urlencode findproxyfile \
-       real-gridsite-admin.cgi gridsite-delegation.cgi
+       real-gridsite-admin.cgi gridsite-delegation.cgi htproxyput
 
 build-lib: libgridsite_globus.la libgridsite_globus.a \
            libgridsite.la libgridsite.a \
@@ -130,7 +130,7 @@
 
 libgridsite.la: $(GRIDSITE_OBJS)
 	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
-          -o $@ $+ -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS)
+          -o $@ $+ -lssl -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS) -lpthread
 
 grst_err.lo: grst_err.c ../interface/gridsite.h
 	$(COMPILE)  $(MYCFLAGS) \
@@ -166,7 +166,7 @@
 
 libgridsite_globus.la: $(GRIDSITE_OBJS)
 	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
-         -o $@ $+ -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS)
+         -o $@ $+ -lssl -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS) -lpthread
 
 # then build versions without OpenSSL
 
@@ -233,7 +233,7 @@
 	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) \
            -shared -Wl,-soname=gridsite_module \
            -I/usr/kerberos/include \
-           $(XML2_CFLAGS) -lcrypto -lssl $(MYCANLLDFLAGS) \
+           $(XML2_CFLAGS) -lssl -lcrypto $(MYCANLLDFLAGS) \
            -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
            $(MOD_GRIDSITE_FILE) -L./.libs -lgridsite
 
@@ -263,7 +263,7 @@
 showx509exts: showx509exts.lo libgridsite.la
 	$(LINK) $(MYLDFLAGS) \
             -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
- 
+
 slashgrid: slashgrid.lo libgridsite.la
 	$(LINK) $< -o $@ -lfuse $(MYLDFLAGS) \
           -L. $(CURL_LIBS) -lgridsite -lpthread
@@ -288,7 +288,7 @@
 
 gaclexample: gaclexample.lo libgridsite.la
 	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
-	    
+
 xacmlexample: xacmlexample.lo libgridsite.a
 	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
 #

=== debian/changelog ===
gridsite (2.2.6-1build1) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:34 +0000

gridsite (2.2.6-1) unstable; urgency=medium

  * Update to version 2.2.6
  * Drop patches curl-defines.patch and missing-ssl-linking.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 01 Aug 2015 15:51:39 +0200

=== debian/control ===
Source: gridsite
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, libcanl-c-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
Standards-Version: 3.9.6
Homepage: http://www.gridsite.org/
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite

Package: gridsite
Architecture: any
Depends: libgridsite2 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${misc:Recommends}
Description: Grid Security for the Web, Web platforms for Grids
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite, contains apache httpd modules for enabling
 mod_gridsite.

Package: libgridsite2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run time libraries for mod_gridsite and gridsite-clients
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package contains the runtime libraries.

Package: gridsite-clients
Architecture: any
Depends: libgridsite2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Clients to gridsite: htcp, htrm, htmv
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-clients, contains clients for using against
 gridsite, htcp, htrm, ...

Package: libgridsite-dev
Architecture: any
Section: libdevel
Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
Description: Developers tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, libgridsite-dev, contains developer tools for using
 gridsite.

Package: gridsite-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Developers Documentation for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-doc, contains developer documentation for
 gridsite.

Package: gridsite-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gridsite (= ${binary:Version}) | libgridsite2 (= ${binary:Version}) | gridsite-clients (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-dbg, contains debugging symbols for gridsite.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_testdir
 
 	cd src && \
-	$(MAKE) build htproxyput prefix=/usr \
+	$(MAKE) build prefix=/usr \
 	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch $@
@@ -113,6 +113,7 @@
 	dh_installdocs -i
 	dh_installchangelogs -i
 	dh_install -i --fail-missing
+	dh_lintian -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i

## gridsite 2.3.1

=== debian/changelog ===
gridsite (2.3.1-1) unstable; urgency=medium

  * Update to version 2.3.1
  * Drop patches gridsite-sed.patch and gridsite-types.patch (upstream)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 16 Aug 2016 13:24:14 +0200

gridsite (2.2.6-3) unstable; urgency=medium

  * Fix cut and paste error in package description (Closes: #816066)
  * Remove obsolete debian/watch file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 29 Feb 2016 11:44:41 +0100

gridsite (2.2.6-2) unstable; urgency=medium

  * Set permissions on created directories (for reproducible build)
  * Set SOURCE_DATE_EPOCH and rebuild using doxygen 1.8.11
    (for reproducible build)
  * Implement multi-arch support
  * Split dbg package for multi-arch (same vs. foreign)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Feb 2016 18:38:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: gridsite
 Section: net
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, libcanl-c-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
-Standards-Version: 3.9.6
-Homepage: http://www.gridsite.org/
+Standards-Version: 3.9.8
+Homepage: https://wiki.metacentrum.cz/gswiki/
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite
 
 Package: gridsite
 Architecture: any
+Multi-Arch: foreign
 Depends: libgridsite2 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${misc:Recommends}
 Description: Grid Security for the Web, Web platforms for Grids
@@ -19,11 +20,12 @@
  web server and a toolkit for Grid credentials, GACL access control
  lists and HTTP(S) protocol operations.
  .
- This package, gridsite, contains apache httpd modules for enabling
+ This package, gridsite, contains Apache httpd modules for enabling
  mod_gridsite.
 
 Package: libgridsite2
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Run time libraries for mod_gridsite and gridsite-clients
@@ -37,6 +39,7 @@
 
 Package: gridsite-clients
 Architecture: any
+Multi-Arch: foreign
 Depends: libgridsite2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Clients to gridsite: htcp, htrm, htmv
  GridSite was originally a web application developed for managing and
@@ -50,6 +53,7 @@
 
 Package: libgridsite-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
 Description: Developers tools for gridsite
@@ -64,6 +68,7 @@
 
 Package: gridsite-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Developers Documentation for gridsite
@@ -78,14 +83,32 @@
 
 Package: gridsite-dbg
 Architecture: any
+Multi-Arch: foreign
 Section: debug
 Priority: extra
-Depends: gridsite (= ${binary:Version}) | libgridsite2 (= ${binary:Version}) | gridsite-clients (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for gridsite
+Depends: gridsite (= ${binary:Version}) | gridsite-clients (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for the gridsite clients and modules
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
  the past years it has grown into a set of extensions to the Apache
  web server and a toolkit for Grid credentials, GACL access control
  lists and HTTP(S) protocol operations.
  .
- This package, gridsite-dbg, contains debugging symbols for gridsite.
+ This package, gridsite-dbg, contains debugging symbols for the gridsite
+ clients and httpd modules.
+
+Package: libgridsite-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for the gridsite library
+ GridSite was originally a web application developed for managing and
+ formatting the content of the http://www.gridpp.ac.uk/ website. Over
+ the past years it has grown into a set of extensions to the Apache
+ web server and a toolkit for Grid credentials, GACL access control
+ lists and HTTP(S) protocol operations.
+ .
+ This package, libgridsite-dbg, contains debugging symbols for the
+ gridsite library.

## gridsite 2.3.2

=== src/Makefile ===
--- 
+++ 
@@ -198,7 +198,7 @@
 
 # now the binary exectuables
 
-gsexec.lo urlencode.lo gridsite-copy.lo findproxyfile.lo showx509exts.lo:
+gsexec.lo urlencode.lo gridsite-copy.lo findproxyfile.lo showx509exts.lo test-chain.lo:
 	$(COMPILE) -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
 	    -o $@ -c $(subst .lo,.c,$@)
 
@@ -219,6 +219,9 @@
 
 htcp: htcp.lo libgridsite.la
 	$(LINK) -o $@ $+ $(CURL_LIBS)
+
+test-chain: test-chain.lo libgridsite.la
+	$(LINK) -o $@ $< -L. -lgridsite -static
 
 htcp-static: htcp.lo libgridsite.a
 	$(LINK) -o $@ -L. $< \
@@ -351,9 +354,6 @@
             -lgridsite $(CURL_LIBS)
 
 %.pc: %.pc.in
-	sed -e "s/@version@/$(VERSION)/" -e "s,@prefix@,$(prefix)," -e "s/@libdir@/$(libdir)/" $< > $@
+	sed -e "s/@version@/$(VERSION)/" -e "s,@prefix@,$(prefix)," -e "s,@libdir@,$(libdir)," $< > $@
 
 clean:
-	rm -rvf doxygen
-	rm -rvf .libs
-	rm -vf DelegationSoapBinding.* soapC*.c soapH*.h soapS*.c soapStub.h ns.xsd

=== debian/changelog ===
gridsite (2.3.2-3) unstable; urgency=medium

  * Add missing Build-Dependd zlib1g-dev to fix FTBFS (Closes: #852501)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 30 Jan 2017 09:48:49 +0100

gridsite (2.3.2-2) unstable; urgency=medium

  * Build using apache2-ssl-dev (Closes: #828330, #845392)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Dec 2016 11:45:28 +0100

gridsite (2.3.2-1) unstable; urgency=medium

  * Update to version 2.3.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Aug 2016 14:39:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, libcanl-c-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
+Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, apache2-ssl-dev, libcanl-c-dev, zlib1g-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
 Standards-Version: 3.9.8
 Homepage: https://wiki.metacentrum.cz/gswiki/
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -15,6 +17,9 @@
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
+
+export SOURCE_DATE_EPOCH = \
+	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
 
 configure: configure-stamp
 
@@ -33,7 +38,7 @@
 	dh_testdir
 
 	cd src && \
-	$(MAKE) build prefix=/usr \
+	$(MAKE) build prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH) \
 	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch $@
@@ -60,30 +65,31 @@
 	dh_prep
 
 	cd src && \
-	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) prefix=/usr
+	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) \
+		prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH)
 
 	# Change cgi scripts location
-	mkdir -p $(INSTALLDIR)$(_libdir)/gridsite/cgi-bin
+	mkdir -m 0755 -p $(INSTALLDIR)$(_libdir)/gridsite/cgi-bin
 	mv $(INSTALLDIR)$(_sbindir)/*.cgi \
 	   $(INSTALLDIR)$(_libdir)/gridsite/cgi-bin
 	rmdir $(INSTALLDIR)$(_sbindir)
 
 	# Let dh_apache2 handle module installation
-	rm -rf $(INSTALLDIR)$(_libdir)/httpd
+	rm -rf $(INSTALLDIR)$(_libdir)/$(DEB_HOST_MULTIARCH)/httpd
 
 	# Let debhelper do the compression
 	gunzip $(INSTALLDIR)$(_mandir)/man*/*
 
 	# This is not really useful
-	rm $(INSTALLDIR)$(_libdir)/libgridsite_globus.*
-	rm $(INSTALLDIR)$(_libdir)/libgridsite_nossl.*
+	rm $(INSTALLDIR)$(_libdir)/$(DEB_HOST_MULTIARCH)/libgridsite_globus.*
+	rm $(INSTALLDIR)$(_libdir)/$(DEB_HOST_MULTIARCH)/libgridsite_nossl.*
 
 	# Remove these - docs are installed using the debian/*.docs files
 	rm -rf $(INSTALLDIR)$(_datadir)/doc
 
 	# Set up root area to serve files from
-	mkdir -p $(INSTALLDIR)$(_localstatedir)/lib/gridsite
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/gridsite
+	mkdir -m 0755 -p $(INSTALLDIR)$(_localstatedir)/lib/gridsite
+	mkdir -m 0755 -p $(INSTALLDIR)$(_sysconfdir)/gridsite
 	install -m 0644 debian/gridsitehead.txt \
 	   $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitehead.txt
 	install -m 0644 debian/gridsitefoot.txt \
@@ -91,11 +97,11 @@
 	install -m 0644 debian/root-level.gacl \
 	   $(INSTALLDIR)$(_sysconfdir)/gridsite/.gacl
 
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/vomsdir
-	mkdir -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
+	mkdir -m 0755 -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
+	mkdir -m 0755 -p $(INSTALLDIR)$(_sysconfdir)/grid-security/vomsdir
+	mkdir -m 0755 -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
 
-	mkdir -p $(INSTALLDIR)$(_datadir)/apache2/icons
+	mkdir -m 0755 -p $(INSTALLDIR)$(_datadir)/apache2/icons
 	uudecode -o $(INSTALLDIR)$(_datadir)/apache2/icons/gridsitelogo.png \
 	   debian/gridsitelogo.png.uu
 
@@ -132,13 +138,14 @@
 	dh_installman -a
 	dh_lintian -a
 	dh_link -a
-	dh_strip -a --dbg-package=gridsite-dbg
+	dh_strip -a -X/$(DEB_HOST_MULTIARCH)/ --dbg-package=gridsite-dbg
+	dh_strip -a -X/bin/ -X/gridsite/ --dbg-package=libgridsite-dbg
 	dh_compress -a
-	dh_fixperms -a -X var/lib/gridsite \
+	dh_fixperms -a -X var/lib/gridsite -X etc/gridsite \
 		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/libgridsite2/usr/lib
+	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a

## gridsite 3.0.0~20170225gitd51b2fd

=== src/Makefile ===
--- 
+++ 
@@ -83,8 +83,8 @@
 # where offset is a sum of maximal released minor's of all previous major's
 #
 
-# counted minors: -
-offset=0
+# counted minors: 2.3 (1.7, 1.5)
+offset=3
 
 version_info:=-version-info $(shell \
 	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+$(offset),$$F[2],$$F[1]' )
@@ -233,7 +233,7 @@
 
 mod_gridsite.so: $(MOD_GRIDSITE_FILE) $(MOD_SSLPRIVATE_HEADER) \
                  libgridsite.la
-	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) \
+	$(CC) $(CFLAGS) $(MYCFLAGS) $(CANL_C_CFLAGS) $(LDFLAGS) \
            -shared -Wl,-soname=gridsite_module \
            -I/usr/kerberos/include \
            $(XML2_CFLAGS) -lssl -lcrypto $(MYCANLLDFLAGS) \
@@ -354,6 +354,3 @@
             -lgridsite $(CURL_LIBS)
 
 %.pc: %.pc.in
-	sed -e "s/@version@/$(VERSION)/" -e "s,@prefix@,$(prefix)," -e "s,@libdir@,$(libdir)," $< > $@
-
-clean:

=== debian/changelog ===
gridsite (3.0.0~20170225gitd51b2fd-2ubuntu1) bionic; urgency=medium

  * Cherrypick upstream patch to fix FTBFS with new gSOAP.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 Feb 2018 11:22:48 +0000

gridsite (3.0.0~20170225gitd51b2fd-2) unstable; urgency=medium

  * Upload to unstable

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 04 Sep 2017 13:07:35 +0200

gridsite (3.0.0~20170225gitd51b2fd-1) experimental; urgency=medium

  * Update to version 3.0.0 development snapshot - supports openssl 1.1
    (Closes: #868583)
  * Migrate to dbgsym packages

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 07 Aug 2017 05:51:26 +0200

=== debian/control ===
Source: gridsite
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, apache2-ssl-dev (>= 2.4.27-3~), libcanl-c-dev (>= 3.0.0), zlib1g-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
Standards-Version: 4.0.0
Homepage: https://wiki.metacentrum.cz/gswiki/
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite

Package: gridsite
Architecture: any
Multi-Arch: foreign
Depends: libgridsite6 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${misc:Recommends}
Description: Grid Security for the Web, Web platforms for Grids
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite, contains Apache httpd modules for enabling
 mod_gridsite.

Package: libgridsite6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run time libraries for mod_gridsite and gridsite-clients
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package contains the runtime libraries.

Package: gridsite-clients
Architecture: any
Multi-Arch: foreign
Depends: libgridsite6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Clients to gridsite: htcp, htrm, htmv
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-clients, contains clients for using against
 gridsite, htcp, htrm, ...

Package: libgridsite-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgridsite6 (= ${binary:Version}), ${misc:Depends}
Description: Developers tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, libgridsite-dev, contains developer tools for using
 gridsite.

Package: gridsite-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Developers Documentation for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-doc, contains developer documentation for
 gridsite.

## gridsite 3.0.0~20180202git2fdbc6f

=== src/Makefile ===
--- 
+++ 
@@ -90,6 +90,7 @@
 	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+$(offset),$$F[2],$$F[1]' )
 
 PC_FILES=gridsite-openssl.pc
+TARBALL=../gridsite-$(PATCH_VERSION).src.tar.gz
 
 # caNl adoption part
 # caNl library and headers have to be in standard system places.

=== debian/changelog ===
gridsite (3.0.0~20180202git2fdbc6f-3) unstable; urgency=medium

  * Don't use the xml2-config script (Closes: #949154)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 25 Feb 2020 18:32:51 +0100

gridsite (3.0.0~20180202git2fdbc6f-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Add Build-Depends on libgsoap-dev due to gsoap packaging change
  * Use .maintscript file for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 24 Jul 2019 10:14:08 +0200

gridsite (3.0.0~20180202git2fdbc6f-1) unstable; urgency=medium

  * New development snapshot - compatible with updated gsoap
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 09 Feb 2018 14:47:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,36 @@
 Source: gridsite
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, apache2-ssl-dev (>= 2.4.27-3~), libcanl-c-dev (>= 3.0.0), zlib1g-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
-Standards-Version: 4.0.0
-Homepage: https://wiki.metacentrum.cz/gswiki/
-Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
-Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends:
+ debhelper (>= 10),
+ apache2-dev (>= 2.4),
+ libxml2-dev,
+ libcurl4-openssl-dev,
+ apache2-ssl-dev (>= 2.4.27-3~),
+ libcanl-c-dev (>= 3.0.0),
+ zlib1g-dev,
+ gsoap,
+ libgsoap-dev,
+ libtool,
+ libtool-bin,
+ doxygen,
+ sharutils,
+ dh-apache2,
+ pkg-config
+Standards-Version: 4.5.0
+Homepage: https://github.com/CESNET/gridsite
+Vcs-Git: https://salsa.debian.org/ellert/gridsite.git
+Vcs-Browser: https://salsa.debian.org/ellert/gridsite
 
 Package: gridsite
 Architecture: any
 Multi-Arch: foreign
-Depends: libgridsite6 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libgridsite6 (= ${binary:Version}),
+ apache2-bin (>= 2.4),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Recommends: ${misc:Recommends}
 Description: Grid Security for the Web, Web platforms for Grids
  GridSite was originally a web application developed for managing and
@@ -28,7 +46,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Run time libraries for mod_gridsite and gridsite-clients
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
@@ -41,7 +61,10 @@
 Package: gridsite-clients
 Architecture: any
 Multi-Arch: foreign
-Depends: libgridsite6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libgridsite6 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Clients to gridsite: htcp, htrm, htmv
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
@@ -56,7 +79,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgridsite6 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libgridsite6 (= ${binary:Version}),
+ ${misc:Depends}
 Description: Developers tools for gridsite
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
@@ -71,7 +96,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: Developers Documentation for gridsite
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
--include /usr/share/dpkg/buildflags.mk
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -18,35 +14,15 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-export SOURCE_DATE_EPOCH = \
-	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
+%:
+	dh $@ --with apache2
 
-configure: configure-stamp
-
-configure-stamp:
-	dh_testdir
-
-	touch $@
-
-build: build-indep build-arch
-
-build-indep: build-stamp
-
-build-arch: build-stamp
-
-build-stamp: configure-stamp
-	dh_testdir
-
+override_dh_auto_build:
 	cd src && \
 	$(MAKE) build prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH) \
 	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
-	touch $@
-
-clean:
-	dh_testdir
-	dh_testroot
-
+override_dh_auto_clean:
 	cd src && \
 	$(MAKE) clean
 
@@ -55,15 +31,7 @@
 	rm -f doc/*.8.html
 	rm -f src/doxygen_sqlite3.db
 
-	rm -f build-stamp configure-stamp
-
-	dh_clean
-
-install: build-stamp
-	dh_testdir
-	dh_testroot
-	dh_prep
-
+override_dh_auto_install:
 	cd src && \
 	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) \
 		prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH)
@@ -113,43 +81,12 @@
 	  $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists \
 	  $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
 
-binary-indep: install
-	dh_testdir
-	dh_testroot
-	dh_installdocs -i
-	dh_installchangelogs -i
-	dh_install -i --fail-missing
-	dh_lintian -i
-	dh_link -i
-	dh_compress -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
+override_dh_missing:
+	dh_missing -i --fail-missing
 
-binary-arch: install
-	dh_testdir
-	dh_testroot
-	dh_installdocs -a
-	dh_installchangelogs -a
-	dh_install -a --fail-missing
-	dh_apache2 -a
-	dh_installman -a
-	dh_lintian -a
-	dh_link -a
-	dh_strip -a -X/$(DEB_HOST_MULTIARCH)/ --dbg-package=gridsite-dbg
-	dh_strip -a -X/bin/ -X/gridsite/ --dbg-package=libgridsite-dbg
-	dh_compress -a
+override_dh_strip:
+	dh_strip -a --dbgsym-migration='gridsite-dbg (<< 3.0.0~), libgridsite-dbg (<< 3.0.0~)'
+
+override_dh_fixperms:
 	dh_fixperms -a -X var/lib/gridsite -X etc/gridsite \
 		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
-	dh_makeshlibs -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch
-
-.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
